ViewSequenceFactory (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.ssbind.ViewSequenceFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssbind
Class ViewSequenceFactory

    java.lang.Object
      org.biojava.bio.program.ssbind.ViewSequenceFactory

Direct Known Subclasses:
  BlastLikeHomologyBuilder, SimilarityPairBuilder

    public abstract class ViewSequenceFactory

extends Object

`ViewSequenceFactory` is a base class for creating search handlers which create and cache views on the query and subject sequences.

Author:
  Keith James

Field Summary
`protected String` | `databaseID`
`protected SequenceDB` | `querySeqHolder`
`protected Map` | `queryViewCache`
`protected SequenceDBInstallation` | `subjectDBs`
`protected Map` | `subjectViewCache`

Constructor Summary
`ViewSequenceFactory()`

Method Summary
`SequenceDB` | `getQuerySeqHolder()` `getQuerySeqHolder` returns the database of query sequences used to retrieve sequences for creation of the various result objects.
`SequenceDBInstallation` | `getSubjectDBInstallation()` `getSubjectDBInstallation` returns the installation in which all the databases searched may be found.
`protected Sequence` | `makeQueryViewSequence(String queryID)`
`protected Sequence` | `makeSubjectViewSequence(String subjectID)`
`void` | `setDatabaseID(String databaseID)`
`void` | `setQuerySeqHolder(SequenceDB querySeqHolder)` `setQuerySeqHolder` sets the query sequence holder to a specific database.
`void` | `setSubjectDBInstallation(SequenceDBInstallation subjectDBs)` `setSubjectDBInstallation` sets the subject database holder to a specific installation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subjectDBs

    protected SequenceDBInstallation subjectDBs

### querySeqHolder

    protected SequenceDB querySeqHolder

### databaseID

    protected String databaseID

### queryViewCache

    protected Map queryViewCache

### subjectViewCache

    protected Map subjectViewCache

Constructor Detail

### ViewSequenceFactory

    public ViewSequenceFactory()

Method Detail

### getQuerySeqHolder

    public SequenceDB getQuerySeqHolder()

  `getQuerySeqHolder` returns the database of query sequences used to retrieve sequences for creation of the various result objects.

  Returns:
    a `SequenceDB` value.

### setQuerySeqHolder

    public void setQuerySeqHolder(SequenceDB querySeqHolder)

  `setQuerySeqHolder` sets the query sequence holder to a specific database.

  Parameters:
    `querySeqHolder` - a `SequenceDB` containing the query sequence(s).

### getSubjectDBInstallation

    public SequenceDBInstallation getSubjectDBInstallation()

  `getSubjectDBInstallation` returns the installation in which all the databases searched may be found. `SequenceDB`s are retrieved for creation of the various result objects.

  Returns:
    a `SequenceDBInstallation` containing the subject database(s).

### setSubjectDBInstallation

    public void setSubjectDBInstallation(SequenceDBInstallation subjectDBs)

  `setSubjectDBInstallation` sets the subject database holder to a specific installation.

  Parameters:
    `subjectDBs` - a `SequenceDBInstallation` containing the subject database(s)

### setDatabaseID

    public void setDatabaseID(String databaseID)

### makeQueryViewSequence

    protected Sequence makeQueryViewSequence(String queryID)
                                      throws BioException

  Throws:
    `BioException`

### makeSubjectViewSequence

    protected Sequence makeSubjectViewSequence(String subjectID)
                                        throws BioException

  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD